#include "common.h"

ShapeInfo::ShapeInfo()
    : type(""), minAreaRect(cv::Point2f(0, 0), cv::Size2f(0, 0), 0), implement(false) {
    ignores = {"implement", "needInits", "ignores"};
    needInits = {};
}

ShapeInfo::ShapeInfo(const string& t, const cv::RotatedRect& rect,
                     const vector<cv::Point>& pts,
                     const vector<string>& ign,
                     const vector<string>& ni, bool imp)
    : type(t), minAreaRect(rect), points(pts), ignores(ign), needInits(ni), implement(imp) {}

ShapeInfo ShapeInfo::copy() const {
    return ShapeInfo(type, minAreaRect, points, ignores, needInits, implement);
}
